<template>
  <p v-if="isAuthentication" class="progress-bar">Progress: {{ percent }}%</p>
</template>

<script>
import {mapGetters} from 'vuex'

export default {
  name: "ProgressBar",
  computed: {
    ...mapGetters(['percent', 'isAuthentication'])
  }
}
</script>

<style scoped>
.progress-bar {
  padding: 5px;
  text-align: center;
  background: rgb(106, 248, 118);
  color: black;
}
</style>
